LELPP - Bug #4775

LEL slot 0 code retreat to June, 2011
10/08/2013 03:59 PM - David Vander Meulen

Status: Closed Start date: 10/08/2013
Priority: Normal Due date: 02/19/2014
Assignee: David Vander Meulen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

When leaving the group, Paul had committed many changes to the lelpp project to CVS. These changes were never promoted to
PRODUCTION. When Vitali started doing his work to diagnose an intermittent reboot problem, the normal cycle for code committing
and promotion to PRODUCTION was not completed before Vitali also left the group. As a result, there was a mixture of test and
developmental versions of the slot 0 code running - test on operational FE's, development on LIP740. Because it was not clear were
the work Vitali was doing ended up and the TEST version had been running successfully on the operational stations for about 2
years, we have decided to promote Paul's last make TEST for slot 0 in June, 2011 the PRODUCTION version and run it on the
developmental node, LIP740.

History

#1 - 10/08/2013 04:38 PM - Philip Varghese
- File Linac_Code_Configuration_Changes Oct08_2013.docx added
- Estimated time set to 12.00 h

Located source code from last make. Initial testing on development station started.

#2 - 02/19/2014 02:09 PM - David Vander Meulen
- Due date set to 02/19/2014

- Status changed from New to Resolved

- % Done changed from 40 to 100

- Estimated time deleted (12.00 h)

We have been running well in TEST since 11/11/2013. We are presently in a two day shutdown for the Booster which allows us to promote all low
energy LINAC frontend code to PRODUCTION and reboot all stations. This was completed without incident.

#3 - 01/25/2017 01:43 PM - Brian Chase

- Status changed from Resolved to Closed

Files

Linac_Code_Configuration_Changes_Oct08_2013.docx 16 KB 10/08/2013 Philip Varghese
